#!/bin/sh
#
# This is make+. Make+ is a set of scripts which enhance GNU make and
# let ou build RPMs, and other packages types with just one control
# file. Read more at http://www.annexia.org/freeware/makeplus/
#
# The original author is Richard W.M. Jones <rich@annexia.org>.
#
# This software has been explicitly placed in the PUBLIC DOMAIN.  You
# do not need any sort of license or agreement to use or copy this
# software. You may also copyright this software yourself, and/or
# relicense it under any terms you want, at any time and at no cost.
# This allows you (among other things) to include this software with
# other packages so that the user does not need to download and
# install make+ separately.

set -e

rm -f config.h config.mk config.log

cat > config.h <<EOF
/* Generated automatically by make+. */

#ifndef MP_CONFIG_H
#define MP_CONFIG_H

#define PACKAGE "$PACKAGE"
#define VERSION "$VERSION"
EOF

case `uname` in 
    *BSD) 
	manprefix="\$(prefix)";;
    *)	
	manprefix="\$(datadir)";;
esac

cat > config.mk <<EOF
prefix		= $prefix
bindir		= \$(prefix)/bin
sbindir		= \$(prefix)/sbin
libexecdir	= \$(prefix)/libexec
datadir		= \$(prefix)/share
sysconfdir	= \$(prefix)/etc
sharedstatedir	= \$(prefix)/com
localstatedir	= \$(prefix)/var
libdir		= \$(prefix)/lib
infodir		= \$(prefix)/info
includedir	= \$(prefix)/include
pkgdatadir	= \$(datadir)/$PACKAGE
docdir		= \$(datadir)/doc/$PACKAGE
pkgetcdir	= \$(sysconfdir)/$PACKAGE
pkglibdir	= \$(libdir)/$PACKAGE
pkgincludedir	= \$(includedir)/$PACKAGE
manprefix	= $manprefix
mandir		= \$(manprefix)/man
man1dir		= \$(mandir)/man1
man2dir		= \$(mandir)/man2
man3dir		= \$(mandir)/man3
man4dir		= \$(mandir)/man4
man5dir		= \$(mandir)/man5
man6dir		= \$(mandir)/man6
man7dir		= \$(mandir)/man7
man8dir		= \$(mandir)/man8
manndir		= \$(mandir)/mann
manldir		= \$(mandir)/manl
EOF

